summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2010-11-13 22:35:30 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2010-11-13 22:35:30 -0300
commit9579b17ee27d2c396af7640477312b0d31940fe0 (patch)
treeadcb31c14a89f517b462a044ca63e8c81c9a0454
parentb982c1b154300008b486385565f95743aed716dc (diff)
Librechroot helps you enter the chroot environment to make manual intervention (ie: a failed build that just needs makepkg -R)
-rwxr-xr-xlibrechroot52
1 files changed, 52 insertions, 0 deletions
diff --git a/librechroot b/librechroot
new file mode 100755
index 0000000..e43a3ee
--- /dev/null
+++ b/librechroot
@@ -0,0 +1,52 @@
+#!/bin/bash
+# Copyright 2010 Nicolás Reynolds
+
+# ---------- GNU General Public License 3 ----------
+
+# This file is part of Parabola.
+
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+[[ -z "${1}" ]] && {
+ echo "This scripts enters into the build chroot."
+ echo "Usage: $0 <chroot name>"
+ echo "Example: \`$0 root\` enters the 'root' chroot"
+ exit 1
+}
+
+[[ $UID -ne 0 ]] && {
+ echo "This script must be run as root"
+ exit 2
+}
+
+custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
+if [ -e $custom_config ]; then
+ source $custom_config
+else
+ source /etc/libretools.conf
+fi
+
+mount -t proc proc $CHROOTDIR/$root/proc/
+mount -t sysfs sys $CHROOTDIR/$root/sys/
+mount -o bind /dev $CHROOTDIR/$root/dev/
+
+cp -L /etc/resolv.conf $CHROOTDIR/$root/etc/resolv.conf
+
+chroot $CHROOTDIR/$root /bin/bash
+
+umount $CHROOTDIR/$root/proc/
+umount $CHROOTDIR/$root/sys/
+umount $CHROOTDIR/$root/dev/
+
+exit 0